package com.sundot.airport.system.mapper;

import java.util.List;

import com.sundot.airport.system.domain.SysApp;

/**
 * 应用Mapper接口
 *
 * @author ruoyi
 * @date 2025-11-20
 */
public interface SysAppMapper {
    /**
     * 查询应用
     *
     * @param appId 应用主键
     * @return 应用
     */
    public SysApp selectSysAppByAppId(Long appId);

    /**
     * 查询应用列表
     *
     * @param sysApp 应用
     * @return 应用集合
     */
    public List<SysApp> selectSysAppList(SysApp sysApp);

    /**
     * 新增应用
     *
     * @param sysApp 应用
     * @return 结果
     */
    public int insertSysApp(SysApp sysApp);

    /**
     * 修改应用
     *
     * @param sysApp 应用
     * @return 结果
     */
    public int updateSysApp(SysApp sysApp);

    /**
     * 删除应用
     *
     * @param appId 应用主键
     * @return 结果
     */
    public int deleteSysAppByAppId(Long appId);

    /**
     * 批量删除应用
     *
     * @param appIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysAppByAppIds(Long[] appIds);
}
